import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import upload from './upload';
// 直播平台接口
import adminLogin from './live/adminLogin';
import organization from './live/organization';
import coupons from './live/coupons';
import couponsApply from './live/couponsApply';
import declare from './live/declare';
import reward from './live/reward';
import cashing from './live/cashing';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    upload,
    // 直播平台接口
    adminLogin,
    organization,
    coupons,
    couponsApply,
    declare,
    reward,
    cashing,
  },
});
